%define major         1
%define libname       %mklibname icns %major
%define libname_devel %mklibname icns -d

Name:          libicns
Version:       0.8.1
Release:       %mkrel 2
Summary:       Library for manipulating MacOS X icns files
Group:         System/Libraries
License:       GPLv2, LGPLv2
URL:           http://icns.sourceforge.net/
Source:        https://sourceforge.net/projects/icns/files/%{name}-%{version}.tar.xz

BuildRequires: pkgconfig(jasper)
BuildRequires: pkgconfig(libpng)

%description
%{name} is a library providing functionality for easily reading and
writing MacOS X icns files.

%package -n %libname
Summary:          Library files for %{name}
Group:            System/Libraries
Provides:         %{name} = %{version}-%{release}

%description -n %libname
%{name} is a library providing functionality for easily reading and
writing MacOS X icns files.

%package -n %libname_devel
Group:         Development/Libraries
Summary:       Devel package for %{name}
Requires:      %libname = %{version}-%{release}
Provides:      %{name}-devel = %{version}-%{release}

%description -n %libname_devel
%{name} is a library providing functionality for easily reading and
writing MacOS X icns files.

This package contains libraries and header files need for development.

%package -n libicns-utils
Group:         Graphics
Summary:       Utilities for %{name}
Requires:      %libname = %{version}-%{release}

%description -n libicns-utils
Software for library for manipulating MacOS X .icns icon format.
Currently provides support for reading and writing icns files
in most sizes.

Also provides utilities for manipulating files in the .icns format:
* icns2png - convert Mac OS icns files to png images
* png2icns - convert png images to Mac OS icns files
* icontainer2icns - extract icns files from icontainers

%prep

%setup -q

%build
%configure2_5x --disable-static
sed -i 's|^hardcode_libdir_flag_spec=.*|hardcode_libdir_flag_spec=""|g' libtool
sed -i 's|^runpath_var=LD_RUN_PATH|runpath_var=DIE_RPATH_DIE|g' libtool
%make_build

%install
%make_install

# we don't want these
find %{buildroot} -name "*.la" -delete

%files -n %libname
%{_libdir}/libicns.so.%{major}*

%files -n %libname_devel
%{_includedir}/icns.h
%{_libdir}/libicns.so
%{_libdir}/pkgconfig/libicns.pc
%doc src/apidocs.*

%files -n libicns-utils
%{_bindir}/icns2png
%{_bindir}/icontainer2icns
%{_bindir}/png2icns
%{_mandir}/man1/icns2png.1*
%{_mandir}/man1/icontainer2icns.1*
%{_mandir}/man1/png2icns.1*
%doc README


%changelog
* Tue May 19 2020 ghostbunny <ghostbunny at gmx dot de> 0.8.1-2pclos2020
- rebuild against new jasper

* Sat Feb 02 2019 tex 0.8.1-1pclos2019
- import from france
